Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParserBaseVisitorResult

- org.apache.groovy.parser.antlr4.GroovyParserBaseVisitor

- All Implemented Interfaces and Traits:
    GroovyParserVisitor

      public class GroovyParserBaseVisitor
      extends AbstractParseTreeVisitor

  This class provides an empty implementation of GroovyParserVisitor, which can be extended to create a visitor which only needs to handle a subset of the available methods.

  Parameters:
    `` - The return type of the visit operation. Use Void for operations with no return type.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Result` | `visitAdditiveExprAlt(AdditiveExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAndExprAlt(AndExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAnnotatedQualifiedClassName(AnnotatedQualifiedClassNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAnnotation(AnnotationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAnnotationName(AnnotationNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAnnotationsOpt(AnnotationsOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAnonymousInnerClassDeclaration(AnonymousInnerClassDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitArguments(ArgumentsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitArrayInitializer(ArrayInitializerContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAssertStatement(AssertStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAssertStmtAlt(AssertStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitAssignmentExprAlt(AssignmentExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBlock(BlockContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBlockStatement(BlockStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBlockStatements(BlockStatementsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBlockStatementsOpt(BlockStatementsOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBlockStmtAlt(BlockStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBooleanLiteralAlt(BooleanLiteralAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBreakStatement(BreakStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBreakStmtAlt(BreakStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBuiltInType(BuiltInTypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitBuiltInTypePrmrAlt(BuiltInTypePrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCastExprAlt(CastExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCastParExpression(CastParExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCatchClause(CatchClauseContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCatchType(CatchTypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassBody(ClassBodyContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassBodyDeclaration(ClassBodyDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassDeclaration(ClassDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassName(ClassNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassOrInterfaceModifier(ClassOrInterfaceModifierContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassOrInterfaceModifiers(ClassOrInterfaceModifiersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassOrInterfaceModifiersOpt(ClassOrInterfaceModifiersOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassOrInterfaceType(ClassOrInterfaceTypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassicalForControl(ClassicalForControlContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClassifiedModifiers(ClassifiedModifiersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClosure(ClosureContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClosureOrLambdaExpression(ClosureOrLambdaExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitClosureOrLambdaExpressionPrmrAlt(ClosureOrLambdaExpressionPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCommandArgument(CommandArgumentContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCommandExprAlt(CommandExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCommandExpression(CommandExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCompilationUnit(CompilationUnitContext ctx)` {@inheritDoc}
    `` | `Result` | `visitConditionalExprAlt(ConditionalExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitConditionalStatement(ConditionalStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitConditionalStmtAlt(ConditionalStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitContinueStatement(ContinueStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitContinueStmtAlt(ContinueStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCreatedName(CreatedNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitCreator(CreatorContext ctx)` {@inheritDoc}
    `` | `Result` | `visitDim(DimContext ctx)` {@inheritDoc}
    `` | `Result` | `visitDoWhileStmtAlt(DoWhileStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitDynamicMemberName(DynamicMemberNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValue(ElementValueContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValueArrayInitializer(ElementValueArrayInitializerContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValuePair(ElementValuePairContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValuePairName(ElementValuePairNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValuePairs(ElementValuePairsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitElementValues(ElementValuesContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEmptyDims(EmptyDimsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEmptyDimsOpt(EmptyDimsOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEmptyStmtAlt(EmptyStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnhancedArgumentList(EnhancedArgumentListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnhancedArgumentListElement(EnhancedArgumentListElementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnhancedForControl(EnhancedForControlContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnhancedStatementExpression(EnhancedStatementExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnumConstant(EnumConstantContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEnumConstants(EnumConstantsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitEqualityExprAlt(EqualityExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExclusiveOrExprAlt(ExclusiveOrExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExpression(ExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExpressionInPar(ExpressionInParContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExpressionList(ExpressionListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExpressionListElement(ExpressionListElementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitExpressionStmtAlt(ExpressionStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFieldDeclaration(FieldDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFinallyBlock(FinallyBlockContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFloatingPointLiteralAlt(FloatingPointLiteralAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitForControl(ForControlContext ctx)` {@inheritDoc}
    `` | `Result` | `visitForInit(ForInitContext ctx)` {@inheritDoc}
    `` | `Result` | `visitForStmtAlt(ForStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitForUpdate(ForUpdateContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFormalParameter(FormalParameterContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFormalParameterList(FormalParameterListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitFormalParameters(FormalParametersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitGstring(GstringContext ctx)` {@inheritDoc}
    `` | `Result` | `visitGstringPath(GstringPathContext ctx)` {@inheritDoc}
    `` | `Result` | `visitGstringPrmrAlt(GstringPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitGstringValue(GstringValueContext ctx)` {@inheritDoc}
    `` | `Result` | `visitIdentifier(IdentifierContext ctx)` {@inheritDoc}
    `` | `Result` | `visitIdentifierPrmrAlt(IdentifierPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitIfElseStatement(IfElseStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitImportDeclaration(ImportDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitInclusiveOrExprAlt(InclusiveOrExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitIndexPropertyArgs(IndexPropertyArgsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitIntegerLiteralAlt(IntegerLiteralAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitKeywords(KeywordsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLabeledStmtAlt(LabeledStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLambdaBody(LambdaBodyContext ctx)` {@inheritDoc}
    `` | `Result` | `visitList(ListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitListPrmrAlt(ListPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLiteral(LiteralContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLiteralPrmrAlt(LiteralPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLocalVariableDeclaration(LocalVariableDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLocalVariableDeclarationStmtAlt(LocalVariableDeclarationStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLogicalAndExprAlt(LogicalAndExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLogicalOrExprAlt(LogicalOrExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLoopStatement(LoopStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitLoopStmtAlt(LoopStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMap(MapContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMapEntry(MapEntryContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMapEntryLabel(MapEntryLabelContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMapEntryList(MapEntryListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMapPrmrAlt(MapPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMemberDeclaration(MemberDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMethodBody(MethodBodyContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMethodDeclaration(MethodDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMethodDeclarationStmtAlt(MethodDeclarationStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMethodName(MethodNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitModifier(ModifierContext ctx)` {@inheritDoc}
    `` | `Result` | `visitModifiers(ModifiersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitModifiersOpt(ModifiersOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMultipleAssignmentExprAlt(MultipleAssignmentExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitMultiplicativeExprAlt(MultiplicativeExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNamePart(NamePartContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNamedPropertyArgs(NamedPropertyArgsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNewPrmrAlt(NewPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNls(NlsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNonWildcardTypeArguments(NonWildcardTypeArgumentsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitNullLiteralAlt(NullLiteralAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPackageDeclaration(PackageDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitParExpression(ParExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitParenPrmrAlt(ParenPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPathElement(PathElementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPathExpression(PathExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPostfixExprAlt(PostfixExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPostfixExpression(PostfixExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPowerExprAlt(PowerExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPrimary(PrimaryContext ctx)` {@inheritDoc}
    `` | `Result` | `visitPrimitiveType(PrimitiveTypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedClassName(QualifiedClassNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedClassNameList(QualifiedClassNameListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedName(QualifiedNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedNameElement(QualifiedNameElementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedNameElements(QualifiedNameElementsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitQualifiedStandardClassName(QualifiedStandardClassNameContext ctx)` {@inheritDoc}
    `` | `Result` | `visitRegexExprAlt(RegexExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitRelationalExprAlt(RelationalExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitResource(ResourceContext ctx)` {@inheritDoc}
    `` | `Result` | `visitResourceList(ResourceListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitResources(ResourcesContext ctx)` {@inheritDoc}
    `` | `Result` | `visitReturnStmtAlt(ReturnStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitReturnType(ReturnTypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitRparen(RparenContext ctx)` {@inheritDoc}
    `` | `Result` | `visitScriptStatement(ScriptStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitScriptStatements(ScriptStatementsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSep(SepContext ctx)` {@inheritDoc}
    `` | `Result` | `visitShiftExprAlt(ShiftExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStandardLambdaExpression(StandardLambdaExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStandardLambdaParameters(StandardLambdaParametersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStatement(StatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStatementExpression(StatementExpressionContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStringLiteral(StringLiteralContext ctx)` {@inheritDoc}
    `` | `Result` | `visitStringLiteralAlt(StringLiteralAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSuperPrmrAlt(SuperPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSwitchBlockStatementGroup(SwitchBlockStatementGroupContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSwitchLabel(SwitchLabelContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSwitchStatement(SwitchStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitSynchronizedStmtAlt(SynchronizedStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitThisFormalParameter(ThisFormalParameterContext ctx)` {@inheritDoc}
    `` | `Result` | `visitThisPrmrAlt(ThisPrmrAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitThrowStmtAlt(ThrowStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTryCatchStatement(TryCatchStatementContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTryCatchStmtAlt(TryCatchStmtAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitType(TypeContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeArgument(TypeArgumentContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeArguments(TypeArgumentsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeArgumentsOrDiamond(TypeArgumentsOrDiamondContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeBound(TypeBoundContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeDeclaration(TypeDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeList(TypeListContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeNamePair(TypeNamePairContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeNamePairs(TypeNamePairsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeParameter(TypeParameterContext ctx)` {@inheritDoc}
    `` | `Result` | `visitTypeParameters(TypeParametersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitUnaryAddExprAlt(UnaryAddExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitUnaryNotExprAlt(UnaryNotExprAltContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableDeclaration(VariableDeclarationContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableDeclarator(VariableDeclaratorContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableDeclaratorId(VariableDeclaratorIdContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableDeclarators(VariableDeclaratorsContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableInitializer(VariableInitializerContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableInitializers(VariableInitializersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableModifier(VariableModifierContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableModifiers(VariableModifiersContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableModifiersOpt(VariableModifiersOptContext ctx)` {@inheritDoc}
    `` | `Result` | `visitVariableNames(VariableNamesContext ctx)` {@inheritDoc}
    `` | `Result` | `visitWhileStmtAlt(WhileStmtAltContext ctx)` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractParseTreeVisitor` | `visit, visitTerminal, visitErrorNode, visitChildren, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAdditiveExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AdditiveExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAndExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AndExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAnnotatedQualifiedClassName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AnnotatedQualifiedClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAnnotation(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AnnotationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAnnotationName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AnnotationNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAnnotationsOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AnnotationsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAnonymousInnerClassDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AnonymousInnerClassDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitArguments(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitArrayInitializer(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ArrayInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAssertStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AssertStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAssertStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AssertStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitAssignmentExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull AssignmentExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBlock(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BlockContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBlockStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BlockStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBlockStatements(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BlockStatementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBlockStatementsOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BlockStatementsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBlockStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BlockStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBooleanLiteralAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BooleanLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBreakStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BreakStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBreakStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BreakStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBuiltInType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BuiltInTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitBuiltInTypePrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull BuiltInTypePrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCastExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CastExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCastParExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CastParExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCatchClause(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CatchClauseContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCatchType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CatchTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassBody(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassBodyDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassBodyDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassOrInterfaceModifier(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassOrInterfaceModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassOrInterfaceModifiers(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassOrInterfaceModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassOrInterfaceModifiersOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassOrInterfaceModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassOrInterfaceType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassOrInterfaceTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassicalForControl(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassicalForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClassifiedModifiers(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClassifiedModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClosure(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClosureContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClosureOrLambdaExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClosureOrLambdaExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitClosureOrLambdaExpressionPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ClosureOrLambdaExpressionPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCommandArgument(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CommandArgumentContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCommandExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CommandExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCommandExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CommandExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCompilationUnit(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CompilationUnitContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitConditionalExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ConditionalExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitConditionalStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ConditionalStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitConditionalStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ConditionalStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitContinueStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ContinueStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitContinueStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ContinueStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCreatedName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CreatedNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitCreator(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull CreatorContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitDim(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull DimContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitDoWhileStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull DoWhileStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitDynamicMemberName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull DynamicMemberNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValue(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValueContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValueArrayInitializer(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValueArrayInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValuePair(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValuePairContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValuePairName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValuePairNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValuePairs(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValuePairsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitElementValues(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ElementValuesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEmptyDims(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EmptyDimsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEmptyDimsOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EmptyDimsOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEmptyStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EmptyStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnhancedArgumentList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnhancedArgumentListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnhancedArgumentListElement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnhancedArgumentListElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnhancedForControl(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnhancedForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnhancedStatementExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnhancedStatementExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnumConstant(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnumConstantContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEnumConstants(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EnumConstantsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitEqualityExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull EqualityExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExclusiveOrExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExclusiveOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExpressionInPar(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExpressionInParContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExpressionList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExpressionListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExpressionListElement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExpressionListElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitExpressionStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ExpressionStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFieldDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FieldDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFinallyBlock(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FinallyBlockContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFloatingPointLiteralAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FloatingPointLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitForControl(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ForControlContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitForInit(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ForInitContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitForStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ForStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitForUpdate(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ForUpdateContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFormalParameter(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FormalParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFormalParameterList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FormalParameterListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitFormalParameters(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull FormalParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitGstring(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull GstringContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitGstringPath(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull GstringPathContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitGstringPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull GstringPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitGstringValue(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull GstringValueContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitIdentifier(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull IdentifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitIdentifierPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull IdentifierPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitIfElseStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull IfElseStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitImportDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ImportDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitInclusiveOrExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull InclusiveOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitIndexPropertyArgs(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull IndexPropertyArgsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitIntegerLiteralAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull IntegerLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitKeywords(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull KeywordsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLabeledStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LabeledStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLambdaBody(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LambdaBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitListPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ListPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLiteral(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LiteralContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLiteralPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LiteralPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLocalVariableDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LocalVariableDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLocalVariableDeclarationStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LocalVariableDeclarationStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLogicalAndExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LogicalAndExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLogicalOrExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LogicalOrExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLoopStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LoopStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitLoopStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull LoopStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMap(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MapContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMapEntry(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MapEntryContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMapEntryLabel(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MapEntryLabelContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMapEntryList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MapEntryListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMapPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MapPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMemberDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MemberDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMethodBody(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MethodBodyContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMethodDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MethodDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMethodDeclarationStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MethodDeclarationStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMethodName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MethodNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitModifier(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitModifiers(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitModifiersOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMultipleAssignmentExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MultipleAssignmentExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitMultiplicativeExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull MultiplicativeExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNamePart(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NamePartContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNamedPropertyArgs(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NamedPropertyArgsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNewPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NewPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNls(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NlsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNonWildcardTypeArguments(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NonWildcardTypeArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitNullLiteralAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull NullLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPackageDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PackageDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitParExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ParExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitParenPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ParenPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPathElement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PathElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPathExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PathExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPostfixExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PostfixExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPostfixExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PostfixExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPowerExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PowerExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPrimary(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PrimaryContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitPrimitiveType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull PrimitiveTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedClassName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedClassNameList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedClassNameListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedNameElement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedNameElementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedNameElements(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedNameElementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitQualifiedStandardClassName(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull QualifiedStandardClassNameContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitRegexExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull RegexExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitRelationalExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull RelationalExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitResource(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ResourceContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitResourceList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ResourceListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitResources(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ResourcesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitReturnStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ReturnStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitReturnType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ReturnTypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitRparen(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull RparenContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitScriptStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ScriptStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitScriptStatements(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ScriptStatementsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSep(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SepContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitShiftExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ShiftExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStandardLambdaExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StandardLambdaExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStandardLambdaParameters(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StandardLambdaParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStatementExpression(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StatementExpressionContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStringLiteral(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StringLiteralContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitStringLiteralAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull StringLiteralAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSuperPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SuperPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSwitchBlockStatementGroup(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SwitchBlockStatementGroupContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSwitchLabel(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SwitchLabelContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSwitchStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SwitchStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitSynchronizedStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull SynchronizedStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitThisFormalParameter(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ThisFormalParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitThisPrmrAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ThisPrmrAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitThrowStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull ThrowStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTryCatchStatement(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TryCatchStatementContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTryCatchStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TryCatchStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitType(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeArgument(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeArgumentContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeArguments(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeArgumentsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeArgumentsOrDiamond(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeArgumentsOrDiamondContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeBound(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeBoundContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeList(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeListContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeNamePair(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeNamePairContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeNamePairs(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeNamePairsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeParameter(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeParameterContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitTypeParameters(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull TypeParametersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitUnaryAddExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull UnaryAddExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitUnaryNotExprAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull UnaryNotExprAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableDeclaration(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableDeclarationContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableDeclarator(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableDeclaratorContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableDeclaratorId(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableDeclaratorIdContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableDeclarators(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableDeclaratorsContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableInitializer(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableInitializerContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableInitializers(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableInitializersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableModifier(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableModifierContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableModifiers(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableModifiersContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableModifiersOpt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableModifiersOptContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitVariableNames(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull VariableNamesContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Result visitWhileStmtAlt(@com.github.javaparser.ast.expr.MarkerAnnotationExprNotNull WhileStmtAltContext ctx)

      {@inheritDoc}

      The default implementation returns the result of calling visitChildren on `ctx`.